﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:CheckBoxList ID="chkFruits" runat="server" RepeatColumns="2">
        <asp:ListItem Text="" Value=""></asp:ListItem>
    </asp:CheckBoxList>
    <asp:Button ID="Button1" Text="Submit" runat="server" OnClick="Submit" />
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $.ajax({
                type: "POST",
                url: "VB.aspx/GetFruits",
                data: '{}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: OnSuccess,
                failure: function (response) {
                    alert(response.d);
                },
                error: function (response) {
                    alert(response.d);
                }
            });
        });

        function OnSuccess(r) {
            var fruits = r.d;
            var repeatColumns = parseInt("<%=chkFruits.RepeatColumns%>");
            if (repeatColumns == 0) {
                repeatColumns = 1;
            }
            var cell = $("[id*=chkFruits] td").eq(0).clone(true);
            $("[id*=chkFruits] tr").remove();
            $.each(fruits, function (i) {
                var row;
                if (i % repeatColumns == 0) {
                    row = $("<tr />");
                    $("[id*=chkFruits] tbody").append(row);
                } else {
                    row = $("[id*=chkFruits] tr:last-child");
                }

                var checkbox = $("input[type=checkbox]", cell);

                //Set Unique Id to each CheckBox.
                checkbox[0].id = checkbox[0].id.replace("0", i);

                //Give common name to each CheckBox.
                checkbox[0].name = "FruitId";

                //Set the CheckBox value.
                checkbox.val(this.Value);

                var label = cell.find("label");
                if (label.length == 0) {
                    label = $("<label />");
                }

                //Set the 'for' attribute of Label.
                label.attr("for", checkbox[0].id);

                //Set the text in Label.
                label.html(this.Text);

                //Append the Label to the cell.
                cell.append(label);

                //Append the cell to the Table Row.
                row.append(cell);
                cell = $("[id*=chkFruits] td").eq(0).clone(true);
            });

            $("[id*=chkFruits] input[type=checkbox]").click(function () {
                var cell = $(this).parent();
                var hidden = cell.find("input[type=hidden]");
                var label = cell.find("label");
                if ($(this).is(":checked")) {
                    //Add Hidden field if not present.
                    if (hidden.length == 0) {
                        hidden = $("<input type = 'hidden' />");
                        cell.append(hidden);
                    }
                    hidden[0].name = "FruitName";

                    //Set the Hidden Field value.
                    hidden.val(label.text());
                    cell.append(hidden);
                } else {
                    cell.remove(hidden);
                }
            });
        };
    </script>
    </form>
</body>
</html>
